### Method

# Ide SubprocessSupervisor get_subprocess

#### Declaration

    IdeSubprocess*
    ide_subprocess_supervisor_get_subprocess (
      IdeSubprocessSupervisor* self
    )

#### Description

Gets the current `IdeSubprocess` that is being supervised. This might be `NULL` if the `ide_subprocess_supervisor_start()` has not yet been called or if there was a failure to spawn the process.

Available since: | 3.32

#### Return value

Returns: | `IdeSubprocess`
| An `IdeSubprocess` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.